Package org.eclipse.ecf.core.sharedobject

# Interface ISharedObjectTransactionConfig

All Known Implementing Classes:
  `TransactionSharedObjectConfiguration`

public interface ISharedObjectTransactionConfig
Transaction configuration information

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_TIMEOUT`

## Method Summary

Modifier and Type
Method
Description
`ISharedObjectTransactionParticipantsFilter`
`getParticipantsFilter()`
Called by transaction implementation to specify filter for determining transaction participants
`int`
`getTimeout()`
Called by transaction implementation to specify transaction timeout

## Field Details

### DEFAULT_TIMEOUT

static final int DEFAULT_TIMEOUT

See Also:
  - Constant Field Values

## Method Details

### getTimeout

int getTimeout()
Called by transaction implementation to specify transaction timeout

### getParticipantsFilter

ISharedObjectTransactionParticipantsFilter getParticipantsFilter()
Called by transaction implementation to specify filter for determining transaction participants

Returns:
  `ISharedObjectTransactionParticipantsFilter`. If this method returns a non-null instance, that instance's `ISharedObjectTransactionParticipantsFilter.filterParticipants(org.eclipse.ecf.core.identity.ID[])` method will be called